import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_test/flutter_test.dart';

final intProvider = Provider<int>((_) => 13); // <1>

void main() {
  test('doit récupérer un état', () {
    // given:
    final container = ProviderContainer(); // <2>
    addTearDown(container.dispose);

    // expect:
    expect(container.read(intProvider), equals(13)); // <3>
  });
}
